﻿
/* Provide sufficient contrast against white background */
a {
  color: #0366d6;
}

.btn-primary {
  color: #fff;
  background-color: #1b6ec2;
  border-color: #1861ac;
}

.nav-pills .nav-link.active, .nav-pills .show > .nav-link {
  color: #fff;
  background-color: #1b6ec2;
  border-color: #1861ac;
}

.ifm-navbar {
  padding-top: 0px;
  padding-bottom: 0px;
}
.ifm-navlink {
  font-size: 14px;
}
.ifm-nav-link2 {
  color: #fff;
  text-decoration: none;
  
}
.ifm-nav-link2:hover {
  color: #fff;
}
.ifm-dropdown-menu2 {
  background-color: #1b6ec2;
  right: 0;
  left: unset  !important;
}
.ifm-dropdown-item {
  font-size: 14px;
}
.ifm-dropdown-item2 {
  font-size: 0.75rem;
  color: #fff;
}
.ifm-logo-navbar {
  height: 64px;
}

/* Sticky footer styles
-------------------------------------------------- */
html {
  font-size: 14px;
}
@media (min-width: 768px) {
  html {
    font-size: 16px;
  }
}

.border-top {
  border-top: 1px solid #e5e5e5;
}
.border-bottom {
  border-bottom: 1px solid #e5e5e5;
}

.box-shadow {
  box-shadow: 0 .25rem .75rem rgba(0, 0, 0, .05);
}

button.accept-policy {
  font-size: 1rem;
  line-height: inherit;
}

/* Sticky footer styles
-------------------------------------------------- */
html {
  position: relative;
  min-height: 100%;
}

body {
  /* Margin bottom by footer height */
  margin-bottom: 60px;
}

.select2-dropdown--below {
  border-top: 1px solid #aaa !important;
  position: relative !important;
  bottom: 2.5rem !important;
}
.select2-dropdown--above {
  border-bottom: 1px solid #aaa !important;
  position: relative !important;
  top: 2.5rem !important;
}


.ifm-select2-container {
  height: 37.5px !important;
  min-width: 100%;
}

.ifm-search-box {
    margin: 0px 5px;
    padding: 2px 7px;
    border-width: 1px;
    border-radius: 15px;
    border-style: solid;
    border-color: #cdced4;
}
@media (max-width: 767.98px) {
    .ifm-search-box {
        margin: 2px;
    }
}
.ifm-search-box-input {
    border-width: 0px;
    width:8em;
}

.ifm-search-result-row {
    margin: 6px 0px;
}

.ifm-search-box-label {
    margin: 0px 5px;
    padding: 0px 15px;
    font-size: small;
}

input.ifm-search-box {
    border-width: 0;
    outline: none;
}

.ifm-search-part-details {
    font-size: medium;
}

.ifm-search-part-details-large {
  font-size: x-large;
}

.ifm-search-part-details-small {
  font-size: small;
  line-height: 100%;
  margin-bottom: .5rem;
}

.ifm-machine-details {
    line-height: 100%;
    margin-bottom: .5rem;
}

@media (max-width: 767.98px) {
  .ifm-machine-graphic-frame {
    position: relative;
    height: 300px;
  }
}
@media (min-width: 768px) and (max-width: 992px) {
  .ifm-machine-graphic-frame {
    position: relative;
    height: 550px;
  }
}
@media (min-width: 992px) and (max-width: 1200px) {
  .ifm-machine-graphic-frame {
    position: relative;
    height: 580px;
  }
}
@media (min-width: 1200px) {
  .ifm-machine-graphic-frame {
    position: relative;
    height: 750px;
  }
}



.ifm-machine-graphic-overlay {
  width: 100%;
  height: 100%;
  position: absolute;
  top: 0;
  left: 0;
}
.ifm-machine-graphic-overlay {
  z-index: 10;
}

.ifm-machine-graphic-centre {
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
}
.ifm-machine-graphic-centre-height {
  max-height: 50%;
}
@media (max-width: 767.98px) {
  .ifm-machine-graphic-centre-height {
    max-height: 90%;
    max-width: 90%;
  }
}

.ifm-machine-favourite-icon {
  font-size: 2rem;
}

.ifm-machine-circle-region {
    position: absolute;
    text-align: center;
    background-color: white;
    /*
    height: 100px;
    width: 300px;*/
  }

.ifm-circle-item {
  /*max-height: 75px;*/
  /*position: absolute;*/
  background-color: white;
}
@media (max-width: 992px) {
  .ifm-machine-circle-region {
      visibility: hidden;
      display: none;
  }
  .ifm-machine-graphic-canvas {
    visibility: hidden;
    display: none;
  }
}
.ifm-circle-item-image-div {
  max-width: 100px;
}

@media (max-width: 767.98px) {
  .ifm-print-button {
      visibility: hidden;
  }
}

.ifm-circle-thumb {
  max-height: 60px;
  max-width: 60px;
  padding: .25rem;
}


p.ifm-supplier-help {
    font-size: small;
    line-height: 100%;
    margin-bottom: .5rem;
}

/* Colour is copy of bootstrap 'card' */
.ifm-part-row:not(:last-child) {
    border-bottom: 1px solid rgba(0,0,0,.125);
}
.ifm-part-row{
    padding-top: 10px;
    padding-bottom: 15px;
}

.ifm-zoom-parent {
    position: relative;
    display: inline-block;
    top: 0;
    left: 0;
}
.ifm-zoom-overlay {
    position: absolute;
    top: .3rem;
    left: .3rem;
    z-index: 2;
    width: 15%;
    height: 15%;
    padding: 2px;
    background-color: rgba(255,255,255,0.8);
}
.ifm-limited-thumb-height {
    max-height: 150px;
}
@media (max-width: 992px) {
  .ifm-limited-thumb-height {
    max-height: 100px;
  }
}
.ifm-limited-big-thumb-height {
  max-height: 250px;
}
@media (max-width: 992px) {
  .ifm-limited-big-thumb-height {
    max-height: 150px;
  }
}

.ifm-part-accordion {
  background-color: #cfe1e4!important;
  color: black;
}
.ifm-part-edit-button {
    margin-top: 2px;
    margin-bottom: 2px;
}


.card-header {
    padding: .25rem .5rem;
}

.card-header .ifm-chevron {
    transition: .3s transform ease-in-out;
}
.card-header .collapsed .ifm-chevron {
    transform: rotate(-90deg);
}
.card-body {
    padding: 0rem .5rem .5rem .5rem
   }

/* Fix for missing accordion bottom if only one entry */
.accordion div.card:only-child { border-bottom: 1px solid rgba(0, 0, 0, 0.125); border-radius: calc(0.25rem - 1px); }

.submit-row {
    padding: 12px 14px;
    margin: 0 0 20px;
    background: #f8f8f8;
    border: 1px solid #eee;
    border-radius: 4px;
    text-align: left;
    overflow: hidden;
}

.delete-button {
    float: right;
    margin: 0;
}

.submit-row a.deletelink {
    display: block;
    background: #ba2121;
    border-radius: 4px;
    padding: 10px 15px;
    height: 15px;
    line-height: 15px;
    color: #fff;
}

@media (min-width: 768px) {
  .tracks-bg-img {
    background-image: url("/static/ifm_parts/images/tracks_2025.png");
    background-repeat: no-repeat;
  }
}
.tracks-bg-size {
  background-size:100%;
}
.tracks-table {
  background-color: white;
}

@media (min-width: 768px) {
  .page-with-bg-img {
    background: url("/static/ifm_parts/images/pp_background.jpg") white right 0em  no-repeat;
  }
}
@media (min-width: 768px) and (max-width: 992px) {
  .page-with-bg-size {
    background-size: 80%;
    min-height: 400px;
  }
  .tracks-filler {
    min-height: 200px;
  }
  .tracks-bottom-filler {
    min-height: 100px;
  }
}
@media (min-width: 992px) and (max-width: 1200px) {
  .page-with-bg-size {
    background-size: 75%;
    min-height: 500px;
  }
  .tracks-filler {
    min-height: 250px;
  }
  .tracks-bottom-filler {
    min-height: 125px;
  }
}
@media (min-width: 1200px) and (max-width: 1400px) {
  .page-with-bg-size {
    background-size: 70%;
    min-height: 600px;
  }
  .tracks-filler {
    min-height: 300px;
  }
  .tracks-bottom-filler {
    min-height: 150px;
  }
}
@media (min-width: 1400px) and (max-width: 1600px) {
  .page-with-bg-size {
    background-size: 65%;
    min-height: 700px;
  }
  .tracks-filler {
    min-height: 350px;
  }
  .tracks-bottom-filler {
    min-height: 175px;
  }
}
@media (min-width: 1600px) {
  .page-with-bg-size {
    background-size: 60%;
    min-height: 800px;
  }
  .tracks-filler {
    min-height: 400px;
  }
  .tracks-bottom-filler {
    min-height: 200px;
  }
}


.ifm-log-search label {
  width: 25%;  
}